<?php
	$MainDir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'));
	$dir = $MainDir."/phone_gap";
	require_once($dir."/classes/Config.class.php");
	require_once($MainDir."/criptar.php");

	class ConfigDAO {

		private $modulos;
		private $EXIBIR_CLIENTE_POR;

		function __construct() {
			$sql = 'select modulosdisponiveis, EXIBIR_CLIENTE_POR from config';
			$query = ibase_query($sql);
			$res = ibase_fetch_assoc($query, IBASE_TEXT);
			$this->EXIBIR_CLIENTE_POR = $res["EXIBIR_CLIENTE_POR"];
			$res = $res["MODULOSDISPONIVEIS"];

			$this->modulos = utf8_encode(Criptar::Cripto('D', $res));
		}

		public function getDisponibilizar(){
			$config = new Config();
			$config->setDescontar_devolucoes(strpos($this->modulos, utf8_encode('Descontar Devoluções')) > 0);
			$config->setNfc_eletronica(strpos($this->modulos, utf8_encode('NFC Eletrônica')) > 0);
			$config->setLiberar_desconto_fv(strpos($this->modulos, utf8_encode('Liberar Desconto Força de Vendas')) > 0);
			$config->setFatur_desc_icms_prods(strpos($this->modulos, utf8_encode('Faturamentos - Descontar ICMS dos Produtos')) > 0);
			$config->setLiberar_ped_comodato(strpos($this->modulos, utf8_encode('Liberar Pedido de Comodato')) > 0);
			$config->setdados_nfce(strpos($this->modulos, utf8_encode('NFC Eletrônica - Não Enviar Dados Cliente')) <= 0);
			$config->setvendAcumFlex(strpos($this->modulos, utf8_encode('Vendedores - Acumular Flex')) > 0);
			$config->setNao_imp_boleto_serie_90(strpos($this->modulos, utf8_encode('Não imprimir boleto série 90')) > 0);
			$config->setLibsenhavendapf(strpos($this->modulos, utf8_encode('Liberar Venda Pessoa Física')) > 0);
			$config->setLibVisitaForaGPS(strpos($this->modulos, utf8_encode('Liberar Visita Fora do Ponto GPS')) > 0);
			$config->setFaturaServico(strpos($this->modulos, utf8_encode('Fatura Serviços')) > 0);
			$config->setBloq_vend_s_intdados(strpos($this->modulos, utf8_encode('Bloquear Vendedores sem integração de dados')) > 0);
			$config->setBloq_vend_s_intdados(strpos($this->modulos, utf8_encode('Bloquear Vendedores sem integração de dados')) > 0);
			$config->setConversao_un(strpos($this->modulos, utf8_encode('Conversão de Unidade - Fator de Conversão')) > 0);
			$config->setReducao_apenas_st(strpos($this->modulos, utf8_encode('Faturamentos - Redução apenas na substituição')) > 0);
			$config->setMetas_base_pedidos(strpos($this->modulos, utf8_encode('Metas - Base Pedidos')) > 0);
			$config->setBonif_gerar_desc_venda(strpos($this->modulos, utf8_encode('Bonificação - Gerar Desconto em Venda')) > 0);
			$config->setDanfe_ord_itens_desc(strpos($this->modulos, utf8_encode('Faturamentos - Ordenar Itens por Descrição (DANFE)')) > 0);
			$config->setTrocas(strpos($this->modulos, utf8_encode('Trocas')) > 0);
			$config->setPed_val_comer_finan(strpos($this->modulos, utf8_encode('Pedidos - Validação Comercial e Financeira')) > 0);
			$config->setFat_codinterno_danfe(strpos($this->modulos, utf8_encode('Faturamentos - Exibir cód interno DANFE')) > 0);
			$config->setDigitar_unped(strpos($this->modulos, utf8_encode('Pedidos - Converter UN')) > 0);
			$config->setClientes_mult_vends(strpos($this->modulos, utf8_encode('Clientes - Múltiplos vendedores')) > 0);
			$config->setPeriodo_especifico(strpos($this->modulos, utf8_encode('Metas - Período Específico')) > 0);
			$config->setClient_nao_prot_aut(strpos($this->modulos, utf8_encode('Clientes - Não Protestar Automaticamente')) > 0);
			$config->setData_rel_vendas(strpos($this->modulos, utf8_encode('Consulta Web - Exibir data no relatório de vendas')) > 0);
			$config->setVirarSaldoFlexMesZerado_Negativo(strpos($this->modulos, utf8_encode('WMC Mobile - Virar saldo flex do mês zerado ou negativo')) > 0);
			$config->setListaprecos_Desconto_Autorizado(strpos($this->modulos, utf8_encode('Lista de Preço - Desconto autorizado')) > 0);
			$config->setEstoqueReservado(strpos($this->modulos, utf8_encode('Estoque Reservado')) > 0);
			$config->setAcertoDeCarga(strpos($this->modulos, utf8_encode('Acerto de Carga')) > 0);
			$config->setAcertoDeCarga2(strpos($this->modulos, utf8_encode('Acerto de Carga - Modelo 2')) > 0);
			$config->setIntegrarGestaoNoManifesto(strpos($this->modulos, utf8_encode('Pedidos - Integrar pedido gestão no Manifesto')) > 0);
			$config->setTiposEstoque(strpos($this->modulos, utf8_encode('Tipos Estoque')) > 0);
			$config->setImagensDasVisitasObrigarImagem(strpos($this->modulos, utf8_encode('Imagens das Visitas - Obrigar imagem')) > 0);
			$config->setIndenizacoesDescontarflex(strpos($this->modulos, utf8_encode('Indenizações - Descontar flex')) > 0);
			$config->setPix(strpos($this->modulos, utf8_encode('Pix')) > 0);
            $config->setLimite_credito_via_api(strpos($this->modulos, utf8_encode('WMC Mobile - Limite de Crédito via API')) > 0);	
			$config->setEXIBIR_CLIENTE_POR($this->EXIBIR_CLIENTE_POR);
			$config->setPedido_troca_controle_indeniz(strpos($this->modulos, utf8_encode('WMC Mobile - Pedido Troca com Controle de Indenização')) > 0);
			$config->setLiberar_portadores_empresa(strpos($this->modulos, utf8_encode('WMC Mobile - Liberar Portadores Conforme Empresa do Vendedor x Banco')) > 0);
			
      return $config;
		}

		public function getModulosDisponiveis(){
			$lista = explode(chr(13).chr(10), $this->modulos);			
			$str = "";
		
			$isControleProdutos = array_search("Controle de Produtos", $lista);
			
      if (strpos($this->modulos, utf8_encode("Venda Múltipla - Não controlar trocas")) > 0)
        $str .= "Venda Multipla - Nao controlar trocas";
      if (strpos($this->modulos, utf8_encode("Pedidos - Liberar clientes bloqueados - Pré Venda")) > 0)
        $str .= "<br>Pedidos - Liberar clientes bloqueados - Pre Venda";
      if (strpos($this->modulos, utf8_encode("Venda Combo - Produto Foco")) > 0)
        $str .= "<br>Venda Combo - Produto Foco";
      if (strpos($this->modulos, utf8_encode("Pedidos - Lançar serviço do produto master")) > 0)
        $str .= "<br>Pedidos - Lancar servico do produto master";
      if (strpos($this->modulos, utf8_encode("Faturamentos - Não lançar % redução ICMS na ST")) > 0)
        $str .= "<br>Faturamentos - Nao lancar reducao ICMS na ST";
      if (strpos($this->modulos, utf8_encode("Pedido Compra - Aplicar regras de promoções / listas preços")) > 0)
        $str .= "<br>Pedido Compra - Aplicar regras de promocoes / listas precos";
      if (strpos($this->modulos, utf8_encode("Pedido Pronta Entrega - Exibir Preço do Manifesto na Listagem")) > 0)
        $str .= "<br>Pedido Pronta Entrega - Exibir Preco do Manifesto na Listagem";
      if (strpos($this->modulos, utf8_encode("Pedidos - Exibir rentabilidade")) > 0)
        $str .= "<br>Pedidos - Exibir rentabilidade";
      if (strpos($this->modulos, utf8_encode("Pedidos - Obrigar Data Entrega")) > 0)
        $str .= "<br>Pedidos - Obrigar Data Entrega";
      if (strpos($this->modulos, utf8_encode("Bloquear impressão de notas/boletos fora do manifesto atual")) > 0)
        $str .= "<br>Bloquear impressao de notas-boletos fora do manifesto atual";
      if (strpos($this->modulos, utf8_encode("Pedidos/Cobranças - Informar dados do Cheque")) > 0)
        $str .= "<br>Pedidos/Cobrancas - Informar dados do Cheque";
      if (strpos($this->modulos, utf8_encode("Pedidos - Controlar empresa por cliente")) > 0)
        $str .= "<br>Pedidos - Controlar empresa por cliente";
      if (strpos($this->modulos, utf8_encode("Clientes - Não permitir cadastrar pessoa física no Mobile")) > 0)
        $str .= "<br>Clientes - Nao permitir cadastrar pessoa fisica no Mobile";
      if (strpos($this->modulos, utf8_encode("Itens Obrigatórios - Por Quantidade")) > 0)
        $str .= "<br>Itens Obrigatorios - Por Quantidade";
      if (strpos($this->modulos, utf8_encode("Pedidos - Permite digitação do preço de bonificação no WMC Mobile")) > 0)
        $str .= "<br>Pedidos - Permite digitacao do preco de bonificacao no WMC Mobile";
	    if (strpos($this->modulos, utf8_encode("Controle de Consignados")) > 0)
        $str .= "<br>Controle de Consignados";
      if (strpos($this->modulos, utf8_encode("Faturamentos - Não ajustar ST em clientes do simples")) > 0)
        $str .= "<br>Faturamentos - Nao ajustar ST em clientes do simples";
	    if (strpos($this->modulos, utf8_encode("Pedidos - Informar Quantidade Auxiliar")) > 0)
        $str .= "<br>Pedidos - Informar Quantidade Auxiliar";
      if (strpos($this->modulos, utf8_encode("Faturamentos - Usar campo Dados_NFCE do cliente")) > 0)
        $str .= "<br>Faturamentos - Usar campo Dados_NFCE do cliente";
      if (strpos($this->modulos, utf8_encode("Produtos - Bloqueio de Produtos Regra E na Mesma Linha")) > 0)
        $str .= "<br>Produtos - Bloqueio de Produtos Regra E na Mesma Linha";
      if (strpos($this->modulos, utf8_encode("Faturar com Despesa de cobrança")) > 0 && strpos($this->modulos, utf8_encode("Contingência - Destacar despesas outros")) > 0)
        $str .= "<br>Faturar com Despesa de cobranca";
      if (strpos($this->modulos, utf8_encode("Pedidos - WMC Mobile inserção de pedidos online")) > 0)
        $str .= "<br>Pedidos - WMC Mobile insercao de pedidos online";
      if (strpos($this->modulos, utf8_encode("Flex - Permitir gravar pedido com saldo negativo")) > 0)
        $str .= "<br>Flex - Permitir gravar pedido com saldo negativo";
      if (strpos($this->modulos, utf8_encode("Pedidos - Gerar verba mesmo com desconto")) > 0)
        $str .= "<br>Pedidos - Gerar verba mesmo com desconto";
	    if (strpos($this->modulos, utf8_encode("Pedidos - Adicionar Produtos por Grade")) > 0)
        $str .= "<br>Pedidos - Adicionar Produtos por Grade";
	    if (strpos($this->modulos, utf8_encode("Flex - Somar flex de venda na bonificação")) > 0)
        $str .= "<br>Flex - Somar flex de venda na bonificacao";
	    if (strpos($this->modulos, utf8_encode("WMC Mobile - Escolher promoção do pedido")) > 0)
        $str .= "<br>WMC Mobile - Escolher promocao do pedido";
	    if (strpos($this->modulos, utf8_encode("WMC Mobile - Múltiplos Vendedores")) > 0)
        $str .= "<br>WMC Mobile - Multiplos Vendedores";
	    if (strpos($this->modulos, utf8_encode("WMC Mobile - Catalogo")) > 0)
        $str .= "<br>WMC Mobile - Catalogo";
	    if (strpos($this->modulos, utf8_encode("Pedido de Compra - Controlar capacidade carga")) > 0)
        $str .= "<br>Pedido de Compra - Controlar capacidade carga";
	    if (strpos($this->modulos, utf8_encode("WMC Mobile - Gerar JPG Boleto em arquivo único")) > 0)
        $str .= "<br>WMC Mobile - Gerar JPG Boleto em arquivo unico";
		  if (strpos($this->modulos, utf8_encode("Busca Composta - Resultado contendo todos os parâmetros")) > 0)
        $str .= "<br>Busca Composta - Resultado contendo todos os parametros";
		  if (strpos($this->modulos, utf8_encode("WMC Mobile - Consultar Status do Cliente no SEFAZ")) > 0)
        $str .= "<br>WMC Mobile - Consultar Status do Cliente no SEFAZ";
	    if (strpos($this->modulos, utf8_encode("WMC Mobile - Devolução de recolhimento informar pedido de origem")) > 0)
        $str .= "<br>WMC Mobile - Devolucao de recolhimento informar pedido de origem";
		  if (strpos($this->modulos, utf8_encode("WMC Mobile - Não validar cliente no webservice")) > 0)
        $str .= "<br>WMC Mobile - Nao validar cliente no webservice";
		  if (strpos($this->modulos, utf8_encode("WMC Mobile - Obrigar informação de expedição")) > 0)
        $str .= "<br>WMC Mobile - Obrigar informacao de expedicao";
		  if (strpos($this->modulos, utf8_encode("WMC Mobile - Controle de Recibos")) > 0)
        $str .= "<br>WMC Mobile - Controle de Recibos";
		  if (strpos($this->modulos, utf8_encode("Bonificação - Escolher itens da venda com desconto")) > 0)
        $str .= "<br>Bonificacao - Escolher itens da venda com desconto";
		  if (strpos($this->modulos, utf8_encode("WMC Mobile - Saldo tipo estoque de todas empresas")) > 0)
        $str .= "<br>WMC Mobile - Saldo tipo estoque de todas empresas";
		  if (strpos($this->modulos, utf8_encode("Processos - Aplicar %Redução Sobre a Base")) > 0)
		    $str .= "<br>Processos - Aplicar Reducao Sobre a Base";
		  if (strpos($this->modulos, utf8_encode("WMC Mobile - Flex Bonif. Descontar Pedido Amostra")) > 0)
		    $str .= "<br>WMC Mobile - Flex Bonif. Descontar Pedido Amostra";
		if(strpos($this->modulos, utf8_encode("Valores - Cinco casas Decimais")) > 0)
		$str .= "<br>Valores - Cinco casas Decimais";
		  if (strpos($this->modulos, utf8_encode("Promoção - Volumes")) > 0)
		$str .= "<br>Promocao - Volumes";
		if (strpos($this->modulos, utf8_encode("WMC Mobile - Obrigar Contato Ao Inserir Cliente")) > 0)
		    $str .= "<br>WMC Mobile - Obrigar Contato Ao Inserir Cliente";
		if (strpos($this->modulos, utf8_encode("WMC Mobile - Escolher Promoção no Item do Pedido")) > 0)
		    $str .= "<br>WMC Mobile - Escolher Promocao no Item do Pedido";
		if (strpos($this->modulos, utf8_encode("Contas Receber - Baixa simples nova")) > 0)
		    $str .= "<br>Contas Receber - Baixa simples nova";
		if (strpos($this->modulos, utf8_encode("Bonificação - Inserir item na Venda")) > 0)
		    $str .= "<br>Bonificacao - Inserir item na Venda";
		if (strpos($this->modulos, utf8_encode("WMC Mobile - Controle Empresa/Grupos")) > 0)
		    $str .= "<br>WMC Mobile - Controle Empresa/Grupos";
		if ($isControleProdutos > 0)
		    $str .= "<br>Controle de Produtos";
	    if (strpos($this->modulos, utf8_encode("Controle de Produtos - Pronta Entrega")) > 0)
		    $str .= "<br>Controle de Produtos - Pronta Entrega";
	    if (strpos($this->modulos, utf8_encode("Faixas de Desconto")) > 0)
		    $str .= "<br>Faixas de Desconto";
		if (strpos($this->modulos, utf8_encode("WMC Mobile - Exibir todos tipos de estoque")) > 0)
		    $str .= "<br>WMC Mobile - Exibir todos tipos de estoque";	
		if (strpos($this->modulos, utf8_encode("Cond. Pagto pelo maior período")) > 0)
		    $str .= "<br>Cond. Pagto pelo maior periodo";
		if (strpos($this->modulos, utf8_encode("Controlar lotes pronta entrega por webservice")) > 0)
		    $str .= "<br>Controlar lotes pronta entrega por webservice";
		if (strpos($this->modulos, utf8_encode("Estoque Reservado")) > 0)
		    $str .= "<br>Estoque Reservado";
		if (strpos($this->modulos, utf8_encode("Comissões Múltiplas - Exibir comissão WMC Mobile")) > 0)
		    $str .= "<br>Comissoes Multiplas - Exibir comissao WMC Mobile";
		if (strpos($this->modulos, utf8_encode("Comissões Múltiplas")) > 0)
		    $str .= "<br>Comissoes Multiplas";
		if (strpos($this->modulos, utf8_encode("Pedidos - Tipo armazenagem")) > 0)
		    $str .= "<br>Pedidos - Tipo armazenagem";
		if (strpos($this->modulos, utf8_encode("Lista de Preço - Desconto mínimo e máximo")) > 0)
		    $str .= "<br>Lista de Preco - Desconto minimo e maximo";
		if (strpos($this->modulos, utf8_encode("Clientes - Múltiplos vendedores")) > 0)
			$str .= "<br>Clientes - Multiplos vendedores";
		if (strpos($this->modulos, utf8_encode("Trocas")) > 0)
			$str .= "<br>Trocas";		
	    if (strpos($this->modulos, utf8_encode("Imagens das Visitas - Obrigar imagem")) > 0)
			$str .= "<br>Imagens das Visitas - Obrigar imagem";		
		if (strpos($this->modulos, utf8_encode("Indenizações - Descontar flex")) > 0)
			$str .= "<br>Indenizacoes - Descontar flex";
		if (strpos($this->modulos, utf8_encode("Pedidos - Integrar pedido gestão no Manifesto")) > 0)
			$str .= "<br>Pedidos - Integrar pedido gestao no Manifesto";
		if (strpos($this->modulos, utf8_encode("Pix")) > 0)
			$str .= "<br>Pix";
		if (strpos($this->modulos, utf8_encode("WMC Mobile - Limite de Crédito via API")) > 0)
			$str .= "<br>WMC Mobile - Limite de Credito via API";
		if (strpos($this->modulos, utf8_encode("WMC Mobile - Pedido Troca com Controle de Indenização")) > 0)
			$str .= "<br>WMC Mobile - Pedido Troca com Controle de Indenizacao";
		if (strpos($this->modulos, utf8_encode("WMC Mobile - Liberar Portadores Conforme Empresa do Vendedor x Banco")) > 0)
			$str .= "<br>WMC Mobile - Liberar Portadores Conforme Empresa do Vendedor x Banco";		
      return $str;
		}
	}

?>